Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogicx.jsp.tags.validators
Class FormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          weblogicx.jsp.tags.validators.FormTag

All Implemented Interfaces:
  IterationTag, JspTag, Serializable, Tag

public class FormTag
extends TagSupport

A Tag class which takes the redirect Page and the request method as an argument and writes out a Html form with an action attribute set to itself.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`String` | `getName()`
`void` | `release()`
`void` | `setAction(String ac)`
`void` | `setMethod(String met)`
`void` | `setName(String name)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### doEndTag

    public int doEndTag()
                 throws JspTagException

  Throws:
    `JspTagException`

### doStartTag

    public int doStartTag()
                   throws JspTagException

  Throws:
    `JspTagException`

### getName

    public String getName()

### release

    public void release()

### setAction

    public void setAction(String ac)

### setMethod

    public void setMethod(String met)

### setName

    public void setName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD